<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Entity Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d96/class_entity.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">Entity Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Entity:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/d96/class_entity.png" usemap="#Entity_map" alt=""/>
  <map id="Entity_map" name="Entity_map">
<area href="../../d5/d89/class_flare_simulation.html" alt="FlareSimulation" shape="rect" coords="0,56,148,80"/>
<area href="../../d1/d67/class_smoke_simulation.html" alt="SmokeSimulation" shape="rect" coords="237,56,385,80"/>
<area href="../../d2/ddf/class_flare_simulation___green.html" alt="FlareSimulation_Green" shape="rect" coords="0,112,148,136"/>
<area href="../../db/d30/class_smoke_simulation___green.html" alt="SmokeSimulation_Green" shape="rect" coords="158,112,306,136"/>
<area href="../../d4/d2d/class_smoke_simulation___white.html" alt="SmokeSimulation_White" shape="rect" coords="316,112,464,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a02a4bf9644dc2e4f9dd71788db9b9942"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a02a4bf9644dc2e4f9dd71788db9b9942">SetNearPlane</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> nearPlane)</td></tr>
<tr class="separator:a02a4bf9644dc2e4f9dd71788db9b9942"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29faf3b292a97eaa473b2e4161e76713"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a29faf3b292a97eaa473b2e4161e76713">GetNearPlane</a> ()</td></tr>
<tr class="separator:a29faf3b292a97eaa473b2e4161e76713"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad352d8e3c476612f842f9697a1021e9c"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#ad352d8e3c476612f842f9697a1021e9c">SetActive</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> active)</td></tr>
<tr class="memdesc:ad352d8e3c476612f842f9697a1021e9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets this camera as active.  <a href="../../d2/d96/class_entity.html#ad352d8e3c476612f842f9697a1021e9c">More...</a><br /></td></tr>
<tr class="separator:ad352d8e3c476612f842f9697a1021e9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3597be9105cd229ae8d407015538d749"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a3597be9105cd229ae8d407015538d749">IsActive</a> ()</td></tr>
<tr class="memdesc:a3597be9105cd229ae8d407015538d749"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is this camera active?  <a href="../../d2/d96/class_entity.html#a3597be9105cd229ae8d407015538d749">More...</a><br /></td></tr>
<tr class="separator:a3597be9105cd229ae8d407015538d749"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06662668cf8fc7f902b62d992164238e"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a06662668cf8fc7f902b62d992164238e">SetFOV</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> fov)</td></tr>
<tr class="memdesc:a06662668cf8fc7f902b62d992164238e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Field of View settings.  <a href="../../d2/d96/class_entity.html#a06662668cf8fc7f902b62d992164238e">More...</a><br /></td></tr>
<tr class="separator:a06662668cf8fc7f902b62d992164238e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81ec6c8233830c1e305d81984c886d32"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a81ec6c8233830c1e305d81984c886d32">SetFocus</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> distance, <a class="el" href="../../d4/dc3/classfloat.html">float</a> blur)</td></tr>
<tr class="memdesc:a81ec6c8233830c1e305d81984c886d32"><td class="mdescLeft">&#160;</td><td class="mdescRight">Depth of Field settings.  <a href="../../d2/d96/class_entity.html#a81ec6c8233830c1e305d81984c886d32">More...</a><br /></td></tr>
<tr class="separator:a81ec6c8233830c1e305d81984c886d32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fd525b4293537f06db2907e80e5f045"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a8fd525b4293537f06db2907e80e5f045">LookAt</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> targetPos)</td></tr>
<tr class="memdesc:a8fd525b4293537f06db2907e80e5f045"><td class="mdescLeft">&#160;</td><td class="mdescRight">Orientation change by lookAt point.  <a href="../../d2/d96/class_entity.html#a8fd525b4293537f06db2907e80e5f045">More...</a><br /></td></tr>
<tr class="separator:a8fd525b4293537f06db2907e80e5f045"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8b9d80b2940b766ea5055dbd069f67f"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#af8b9d80b2940b766ea5055dbd069f67f">SetLightType</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pType)</td></tr>
<tr class="separator:af8b9d80b2940b766ea5055dbd069f67f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48f99cad0b2035586d5f8600fc099494"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a48f99cad0b2035586d5f8600fc099494">GetLightType</a> ()</td></tr>
<tr class="separator:a48f99cad0b2035586d5f8600fc099494"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accb637c4f094c310d606cbb877da168b"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#accb637c4f094c310d606cbb877da168b">SetEnabled</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> pState)</td></tr>
<tr class="separator:accb637c4f094c310d606cbb877da168b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a9dacf0081cdf2fb05d234e3ff4263a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a0a9dacf0081cdf2fb05d234e3ff4263a">IsEnabled</a> ()</td></tr>
<tr class="separator:a0a9dacf0081cdf2fb05d234e3ff4263a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc9fec02aecb91f7d1d19985cafe2e47"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#acc9fec02aecb91f7d1d19985cafe2e47">SetCastShadow</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> pState)</td></tr>
<tr class="separator:acc9fec02aecb91f7d1d19985cafe2e47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29c03688298197e018815d3f63bcce5f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a29c03688298197e018815d3f63bcce5f">GetCastShadow</a> ()</td></tr>
<tr class="separator:a29c03688298197e018815d3f63bcce5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab85044bfd033b785fec3c940b9395909"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#ab85044bfd033b785fec3c940b9395909">EnableSpecular</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> pState)</td></tr>
<tr class="separator:ab85044bfd033b785fec3c940b9395909"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a835a2c47dbe152f0bc03f5924beac36f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a835a2c47dbe152f0bc03f5924beac36f">EnableLinear</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> pState)</td></tr>
<tr class="separator:a835a2c47dbe152f0bc03f5924beac36f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a647ecb4c26cab3f6e279b874e6ea1f4e"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a647ecb4c26cab3f6e279b874e6ea1f4e">SetPulseCoef</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pState)</td></tr>
<tr class="separator:a647ecb4c26cab3f6e279b874e6ea1f4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41568a7db454de60d25dd6992e0365e2"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a41568a7db454de60d25dd6992e0365e2">SetVisibleDuringDaylight</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> pState)</td></tr>
<tr class="separator:a41568a7db454de60d25dd6992e0365e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad56a1632baf98d697a45121ec71359bb"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#ad56a1632baf98d697a45121ec71359bb">IsVisibleDuringDaylight</a> ()</td></tr>
<tr class="separator:ad56a1632baf98d697a45121ec71359bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf201ddddaacf97d6f2a58066d5bb0f5"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#adf201ddddaacf97d6f2a58066d5bb0f5">SetRadius</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pValue)</td></tr>
<tr class="separator:adf201ddddaacf97d6f2a58066d5bb0f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a281cd123ec896f5774955a4ef7dc01f5"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a281cd123ec896f5774955a4ef7dc01f5">GetRadius</a> ()</td></tr>
<tr class="separator:a281cd123ec896f5774955a4ef7dc01f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ef32c066925af862d65fa5e72d66ece"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a1ef32c066925af862d65fa5e72d66ece">EnableHeatHaze</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> pState)</td></tr>
<tr class="separator:a1ef32c066925af862d65fa5e72d66ece"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab036704fec0783a29ec93cfd42d2433"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#aab036704fec0783a29ec93cfd42d2433">SetHeatHazeRadius</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pValue)</td></tr>
<tr class="separator:aab036704fec0783a29ec93cfd42d2433"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d37fdf03ecc72ec3b4fb628269816ba"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a3d37fdf03ecc72ec3b4fb628269816ba">GetHeatHazeRadius</a> ()</td></tr>
<tr class="separator:a3d37fdf03ecc72ec3b4fb628269816ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac35a8c9538edd94fda20a59c10d22a05"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#ac35a8c9538edd94fda20a59c10d22a05">SetHeatHazePower</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pValue)</td></tr>
<tr class="separator:ac35a8c9538edd94fda20a59c10d22a05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76db2dd20faba83e35c31eb0d36f94bd"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a76db2dd20faba83e35c31eb0d36f94bd">GetHeatHazePower</a> ()</td></tr>
<tr class="separator:a76db2dd20faba83e35c31eb0d36f94bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac96295a2d4662eb0ec28025e77da6215"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#ac96295a2d4662eb0ec28025e77da6215">SetDiffuseColor</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pRed, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pGreen, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pBlue)</td></tr>
<tr class="separator:ac96295a2d4662eb0ec28025e77da6215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a893d2be81d63c6f4527b545ed4751d1a"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a893d2be81d63c6f4527b545ed4751d1a">SetDiffuseColorV</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> pColorVector)</td></tr>
<tr class="separator:a893d2be81d63c6f4527b545ed4751d1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05f0e972b2b27748aa024c957df36fa2"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a05f0e972b2b27748aa024c957df36fa2">SetDiffuseAlpha</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pAlpha)</td></tr>
<tr class="separator:a05f0e972b2b27748aa024c957df36fa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e580cfa6b76f2d35f404b163fde5e3f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a8e580cfa6b76f2d35f404b163fde5e3f">GetDiffuseColorV</a> ()</td></tr>
<tr class="separator:a8e580cfa6b76f2d35f404b163fde5e3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a136d5511ff8fe6842eb5767695546d87"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a136d5511ff8fe6842eb5767695546d87">GetDiffuseAlpha</a> ()</td></tr>
<tr class="separator:a136d5511ff8fe6842eb5767695546d87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a935bf724a54f4ee3ea6e9ab03714bb23"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a935bf724a54f4ee3ea6e9ab03714bb23">SetAmbientColor</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pRed, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pGreen, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pBlue)</td></tr>
<tr class="separator:a935bf724a54f4ee3ea6e9ab03714bb23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd43fd41a678feb899c8f71da7dab79f"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#abd43fd41a678feb899c8f71da7dab79f">SetAmbientColorV</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> pColorVector)</td></tr>
<tr class="separator:abd43fd41a678feb899c8f71da7dab79f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a662d9312bf8b10d4b5a51ce718592bea"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a662d9312bf8b10d4b5a51ce718592bea">SetAmbientAlpha</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pAlpha)</td></tr>
<tr class="separator:a662d9312bf8b10d4b5a51ce718592bea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeae195961c9cd9aacf9b48b96642e426"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#aeae195961c9cd9aacf9b48b96642e426">GetAmbientColorV</a> ()</td></tr>
<tr class="separator:aeae195961c9cd9aacf9b48b96642e426"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca59bfd468b0371705ea44f9d7789241"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#aca59bfd468b0371705ea44f9d7789241">GetAmbientAlpha</a> ()</td></tr>
<tr class="separator:aca59bfd468b0371705ea44f9d7789241"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82012e485945cc12405156c2c691dc53"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a82012e485945cc12405156c2c691dc53">SetBrightness</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pValue)</td></tr>
<tr class="separator:a82012e485945cc12405156c2c691dc53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86a5d32df574e928289113c55e63b58a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a86a5d32df574e928289113c55e63b58a">GetBrightness</a> ()</td></tr>
<tr class="separator:a86a5d32df574e928289113c55e63b58a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5f8f7f5e5d4de36b2127917d46032bd"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#ae5f8f7f5e5d4de36b2127917d46032bd">SetFlareVisible</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> pState)</td></tr>
<tr class="separator:ae5f8f7f5e5d4de36b2127917d46032bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf835cee6a26936f4e90f6ed52a3ceb0"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#aaf835cee6a26936f4e90f6ed52a3ceb0">IsFlareVisible</a> ()</td></tr>
<tr class="separator:aaf835cee6a26936f4e90f6ed52a3ceb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a093ee2f5327c33287701e886a751530b"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a093ee2f5327c33287701e886a751530b">SetFlareRelPosition</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> pPosition)</td></tr>
<tr class="separator:a093ee2f5327c33287701e886a751530b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a517b4f3f1ed015cfc99b00516e1ccb50"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a517b4f3f1ed015cfc99b00516e1ccb50">GetFlareRelPosition</a> ()</td></tr>
<tr class="separator:a517b4f3f1ed015cfc99b00516e1ccb50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a099fa9e93446b6cf388188b386567d0a"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a099fa9e93446b6cf388188b386567d0a">SetSpotLightAngle</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pValue)</td></tr>
<tr class="separator:a099fa9e93446b6cf388188b386567d0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90c9c7e1d1b1b63a16c299997f813499"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a90c9c7e1d1b1b63a16c299997f813499">GetSpotLightAngle</a> ()</td></tr>
<tr class="separator:a90c9c7e1d1b1b63a16c299997f813499"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca9b0e0586a62e7319ed5538b82ed114"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#aca9b0e0586a62e7319ed5538b82ed114">GetSoundLength</a> ()</td></tr>
<tr class="separator:aca9b0e0586a62e7319ed5538b82ed114"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a87f40f7c9a65679ea03c104620572cb9"><td class="memItemLeft" align="right" valign="top">static proto native <a class="el" href="../../da/dbb/class_camera.html">Camera</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a87f40f7c9a65679ea03c104620572cb9">GetCurrentCamera</a> ()</td></tr>
<tr class="memdesc:a87f40f7c9a65679ea03c104620572cb9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns active <a class="el" href="../../da/dbb/class_camera.html">Camera</a> instance (note: player's camera is not <a class="el" href="../../da/dbb/class_camera.html">Camera</a> instance - thus it return null)  <a href="../../d2/d96/class_entity.html#a87f40f7c9a65679ea03c104620572cb9">More...</a><br /></td></tr>
<tr class="separator:a87f40f7c9a65679ea03c104620572cb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e267dff296c95cb4417609eb562ba43"><td class="memItemLeft" align="right" valign="top">static proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a6e267dff296c95cb4417609eb562ba43">GetCurrentFOV</a> ()</td></tr>
<tr class="memdesc:a6e267dff296c95cb4417609eb562ba43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns FOV of current camera object.  <a href="../../d2/d96/class_entity.html#a6e267dff296c95cb4417609eb562ba43">More...</a><br /></td></tr>
<tr class="separator:a6e267dff296c95cb4417609eb562ba43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20417fad6cd47ed35a59d2af08a3b107"><td class="memItemLeft" align="right" valign="top">static proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d96/class_entity.html#a20417fad6cd47ed35a59d2af08a3b107">InterpolateTo</a> (<a class="el" href="../../da/dbb/class_camera.html">Camera</a> targetCamera, <a class="el" href="../../d4/dc3/classfloat.html">float</a> time, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> type)</td></tr>
<tr class="memdesc:a20417fad6cd47ed35a59d2af08a3b107"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interpolation between camera instances (current camera becomes targetCamera at the end of interpolation)  <a href="../../d2/d96/class_entity.html#a20417fad6cd47ed35a59d2af08a3b107">More...</a><br /></td></tr>
<tr class="separator:a20417fad6cd47ed35a59d2af08a3b107"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d7/dcc/_camera_8c_source.html#l00001">1</a> of file <a class="el" href="../../d7/dcc/_camera_8c_source.html">Camera.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1ef32c066925af862d65fa5e72d66ece" name="a1ef32c066925af862d65fa5e72d66ece"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ef32c066925af862d65fa5e72d66ece">&#9670;&#160;</a></span>EnableHeatHaze()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::EnableHeatHaze </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a835a2c47dbe152f0bc03f5924beac36f" name="a835a2c47dbe152f0bc03f5924beac36f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a835a2c47dbe152f0bc03f5924beac36f">&#9670;&#160;</a></span>EnableLinear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> Entity::EnableLinear </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab85044bfd033b785fec3c940b9395909" name="ab85044bfd033b785fec3c940b9395909"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab85044bfd033b785fec3c940b9395909">&#9670;&#160;</a></span>EnableSpecular()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> Entity::EnableSpecular </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aca59bfd468b0371705ea44f9d7789241" name="aca59bfd468b0371705ea44f9d7789241"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca59bfd468b0371705ea44f9d7789241">&#9670;&#160;</a></span>GetAmbientAlpha()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> Entity::GetAmbientAlpha </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aeae195961c9cd9aacf9b48b96642e426" name="aeae195961c9cd9aacf9b48b96642e426"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeae195961c9cd9aacf9b48b96642e426">&#9670;&#160;</a></span>GetAmbientColorV()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a> Entity::GetAmbientColorV </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a86a5d32df574e928289113c55e63b58a" name="a86a5d32df574e928289113c55e63b58a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86a5d32df574e928289113c55e63b58a">&#9670;&#160;</a></span>GetBrightness()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> Entity::GetBrightness </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a29c03688298197e018815d3f63bcce5f" name="a29c03688298197e018815d3f63bcce5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29c03688298197e018815d3f63bcce5f">&#9670;&#160;</a></span>GetCastShadow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> Entity::GetCastShadow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a87f40f7c9a65679ea03c104620572cb9" name="a87f40f7c9a65679ea03c104620572cb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87f40f7c9a65679ea03c104620572cb9">&#9670;&#160;</a></span>GetCurrentCamera()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto native <a class="el" href="../../da/dbb/class_camera.html">Camera</a> Entity::GetCurrentCamera </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns active <a class="el" href="../../da/dbb/class_camera.html">Camera</a> instance (note: player's camera is not <a class="el" href="../../da/dbb/class_camera.html">Camera</a> instance - thus it return null) </p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="../../da/dbb/class_camera.html">Camera</a> <code>active</code> <a class="el" href="../../da/dbb/class_camera.html">Camera</a> instance </dd></dl>

</div>
</div>
<a id="a6e267dff296c95cb4417609eb562ba43" name="a6e267dff296c95cb4417609eb562ba43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e267dff296c95cb4417609eb562ba43">&#9670;&#160;</a></span>GetCurrentFOV()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> Entity::GetCurrentFOV </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns FOV of current camera object. </p>
<dl class="section return"><dt>Returns</dt><dd>float <code>FOV</code> of current camera object </dd></dl>

</div>
</div>
<a id="a136d5511ff8fe6842eb5767695546d87" name="a136d5511ff8fe6842eb5767695546d87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a136d5511ff8fe6842eb5767695546d87">&#9670;&#160;</a></span>GetDiffuseAlpha()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> Entity::GetDiffuseAlpha </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8e580cfa6b76f2d35f404b163fde5e3f" name="a8e580cfa6b76f2d35f404b163fde5e3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e580cfa6b76f2d35f404b163fde5e3f">&#9670;&#160;</a></span>GetDiffuseColorV()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a> Entity::GetDiffuseColorV </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a517b4f3f1ed015cfc99b00516e1ccb50" name="a517b4f3f1ed015cfc99b00516e1ccb50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a517b4f3f1ed015cfc99b00516e1ccb50">&#9670;&#160;</a></span>GetFlareRelPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a> Entity::GetFlareRelPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a76db2dd20faba83e35c31eb0d36f94bd" name="a76db2dd20faba83e35c31eb0d36f94bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76db2dd20faba83e35c31eb0d36f94bd">&#9670;&#160;</a></span>GetHeatHazePower()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> Entity::GetHeatHazePower </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3d37fdf03ecc72ec3b4fb628269816ba" name="a3d37fdf03ecc72ec3b4fb628269816ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d37fdf03ecc72ec3b4fb628269816ba">&#9670;&#160;</a></span>GetHeatHazeRadius()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> Entity::GetHeatHazeRadius </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a48f99cad0b2035586d5f8600fc099494" name="a48f99cad0b2035586d5f8600fc099494"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48f99cad0b2035586d5f8600fc099494">&#9670;&#160;</a></span>GetLightType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Entity::GetLightType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a29faf3b292a97eaa473b2e4161e76713" name="a29faf3b292a97eaa473b2e4161e76713"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29faf3b292a97eaa473b2e4161e76713">&#9670;&#160;</a></span>GetNearPlane()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> Entity::GetNearPlane </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >get near plane of camera </p>

</div>
</div>
<a id="a281cd123ec896f5774955a4ef7dc01f5" name="a281cd123ec896f5774955a4ef7dc01f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a281cd123ec896f5774955a4ef7dc01f5">&#9670;&#160;</a></span>GetRadius()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> Entity::GetRadius </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aca9b0e0586a62e7319ed5538b82ed114" name="aca9b0e0586a62e7319ed5538b82ed114"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca9b0e0586a62e7319ed5538b82ed114">&#9670;&#160;</a></span>GetSoundLength()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> Entity::GetSoundLength </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a90c9c7e1d1b1b63a16c299997f813499" name="a90c9c7e1d1b1b63a16c299997f813499"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90c9c7e1d1b1b63a16c299997f813499">&#9670;&#160;</a></span>GetSpotLightAngle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> Entity::GetSpotLightAngle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a20417fad6cd47ed35a59d2af08a3b107" name="a20417fad6cd47ed35a59d2af08a3b107"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20417fad6cd47ed35a59d2af08a3b107">&#9670;&#160;</a></span>InterpolateTo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto native void Entity::InterpolateTo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/dbb/class_camera.html">Camera</a>&#160;</td>
          <td class="paramname"><em>targetCamera</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Interpolation between camera instances (current camera becomes targetCamera at the end of interpolation) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">targetCamera</td><td><code>to</code> which camera we want to interpolate </td></tr>
    <tr><td class="paramname">time</td><td><code>true</code> interpolation time </td></tr>
    <tr><td class="paramname">type</td><td><code>0</code> = without dynamics 1 = first half - acceleration, second half deceleration 2 = first third - acceleration, second third - linear movement, last third - deceleration </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3597be9105cd229ae8d407015538d749" name="a3597be9105cd229ae8d407015538d749"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3597be9105cd229ae8d407015538d749">&#9670;&#160;</a></span>IsActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> Entity::IsActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Is this camera active? </p>
<dl class="section return"><dt>Returns</dt><dd>bool <code>true</code> if this camera is active </dd></dl>

</div>
</div>
<a id="a0a9dacf0081cdf2fb05d234e3ff4263a" name="a0a9dacf0081cdf2fb05d234e3ff4263a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a9dacf0081cdf2fb05d234e3ff4263a">&#9670;&#160;</a></span>IsEnabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> Entity::IsEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaf835cee6a26936f4e90f6ed52a3ceb0" name="aaf835cee6a26936f4e90f6ed52a3ceb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf835cee6a26936f4e90f6ed52a3ceb0">&#9670;&#160;</a></span>IsFlareVisible()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> Entity::IsFlareVisible </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad56a1632baf98d697a45121ec71359bb" name="ad56a1632baf98d697a45121ec71359bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad56a1632baf98d697a45121ec71359bb">&#9670;&#160;</a></span>IsVisibleDuringDaylight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> Entity::IsVisibleDuringDaylight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8fd525b4293537f06db2907e80e5f045" name="a8fd525b4293537f06db2907e80e5f045"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fd525b4293537f06db2907e80e5f045">&#9670;&#160;</a></span>LookAt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::LookAt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>targetPos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Orientation change by lookAt point. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">targetPos</td><td><code>where</code> to look at </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad352d8e3c476612f842f9697a1021e9c" name="ad352d8e3c476612f842f9697a1021e9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad352d8e3c476612f842f9697a1021e9c">&#9670;&#160;</a></span>SetActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetActive </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>active</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets this camera as active. </p>

</div>
</div>
<a id="a662d9312bf8b10d4b5a51ce718592bea" name="a662d9312bf8b10d4b5a51ce718592bea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a662d9312bf8b10d4b5a51ce718592bea">&#9670;&#160;</a></span>SetAmbientAlpha()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetAmbientAlpha </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pAlpha</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a935bf724a54f4ee3ea6e9ab03714bb23" name="a935bf724a54f4ee3ea6e9ab03714bb23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a935bf724a54f4ee3ea6e9ab03714bb23">&#9670;&#160;</a></span>SetAmbientColor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetAmbientColor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pRed</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pGreen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pBlue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abd43fd41a678feb899c8f71da7dab79f" name="abd43fd41a678feb899c8f71da7dab79f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd43fd41a678feb899c8f71da7dab79f">&#9670;&#160;</a></span>SetAmbientColorV()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetAmbientColorV </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pColorVector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a82012e485945cc12405156c2c691dc53" name="a82012e485945cc12405156c2c691dc53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82012e485945cc12405156c2c691dc53">&#9670;&#160;</a></span>SetBrightness()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetBrightness </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acc9fec02aecb91f7d1d19985cafe2e47" name="acc9fec02aecb91f7d1d19985cafe2e47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc9fec02aecb91f7d1d19985cafe2e47">&#9670;&#160;</a></span>SetCastShadow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetCastShadow </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a05f0e972b2b27748aa024c957df36fa2" name="a05f0e972b2b27748aa024c957df36fa2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05f0e972b2b27748aa024c957df36fa2">&#9670;&#160;</a></span>SetDiffuseAlpha()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetDiffuseAlpha </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pAlpha</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac96295a2d4662eb0ec28025e77da6215" name="ac96295a2d4662eb0ec28025e77da6215"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac96295a2d4662eb0ec28025e77da6215">&#9670;&#160;</a></span>SetDiffuseColor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetDiffuseColor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pRed</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pGreen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pBlue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a893d2be81d63c6f4527b545ed4751d1a" name="a893d2be81d63c6f4527b545ed4751d1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a893d2be81d63c6f4527b545ed4751d1a">&#9670;&#160;</a></span>SetDiffuseColorV()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetDiffuseColorV </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pColorVector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="accb637c4f094c310d606cbb877da168b" name="accb637c4f094c310d606cbb877da168b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accb637c4f094c310d606cbb877da168b">&#9670;&#160;</a></span>SetEnabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetEnabled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a093ee2f5327c33287701e886a751530b" name="a093ee2f5327c33287701e886a751530b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a093ee2f5327c33287701e886a751530b">&#9670;&#160;</a></span>SetFlareRelPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetFlareRelPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pPosition</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae5f8f7f5e5d4de36b2127917d46032bd" name="ae5f8f7f5e5d4de36b2127917d46032bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5f8f7f5e5d4de36b2127917d46032bd">&#9670;&#160;</a></span>SetFlareVisible()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetFlareVisible </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a81ec6c8233830c1e305d81984c886d32" name="a81ec6c8233830c1e305d81984c886d32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81ec6c8233830c1e305d81984c886d32">&#9670;&#160;</a></span>SetFocus()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetFocus </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>distance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>blur</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Depth of Field settings. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">distance</td><td><code>DOF</code> distance parameter </td></tr>
    <tr><td class="paramname">blur</td><td><code>DOF</code> blur parameter </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a06662668cf8fc7f902b62d992164238e" name="a06662668cf8fc7f902b62d992164238e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06662668cf8fc7f902b62d992164238e">&#9670;&#160;</a></span>SetFOV()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetFOV </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fov</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Field of View settings. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fov</td><td><code>FOV</code> angle in radians </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ac35a8c9538edd94fda20a59c10d22a05" name="ac35a8c9538edd94fda20a59c10d22a05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac35a8c9538edd94fda20a59c10d22a05">&#9670;&#160;</a></span>SetHeatHazePower()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetHeatHazePower </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aab036704fec0783a29ec93cfd42d2433" name="aab036704fec0783a29ec93cfd42d2433"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab036704fec0783a29ec93cfd42d2433">&#9670;&#160;</a></span>SetHeatHazeRadius()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetHeatHazeRadius </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af8b9d80b2940b766ea5055dbd069f67f" name="af8b9d80b2940b766ea5055dbd069f67f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8b9d80b2940b766ea5055dbd069f67f">&#9670;&#160;</a></span>SetLightType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetLightType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a02a4bf9644dc2e4f9dd71788db9b9942" name="a02a4bf9644dc2e4f9dd71788db9b9942"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02a4bf9644dc2e4f9dd71788db9b9942">&#9670;&#160;</a></span>SetNearPlane()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetNearPlane </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>nearPlane</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >set near plane of camera </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nearPlane</td><td>clamped internally to 0.01m </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a647ecb4c26cab3f6e279b874e6ea1f4e" name="a647ecb4c26cab3f6e279b874e6ea1f4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a647ecb4c26cab3f6e279b874e6ea1f4e">&#9670;&#160;</a></span>SetPulseCoef()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetPulseCoef </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adf201ddddaacf97d6f2a58066d5bb0f5" name="adf201ddddaacf97d6f2a58066d5bb0f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf201ddddaacf97d6f2a58066d5bb0f5">&#9670;&#160;</a></span>SetRadius()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetRadius </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a099fa9e93446b6cf388188b386567d0a" name="a099fa9e93446b6cf388188b386567d0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a099fa9e93446b6cf388188b386567d0a">&#9670;&#160;</a></span>SetSpotLightAngle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetSpotLightAngle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a41568a7db454de60d25dd6992e0365e2" name="a41568a7db454de60d25dd6992e0365e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41568a7db454de60d25dd6992e0365e2">&#9670;&#160;</a></span>SetVisibleDuringDaylight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Entity::SetVisibleDuringDaylight </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/3_Game/Entities/<a class="el" href="../../d7/dcc/_camera_8c_source.html">Camera.c</a></li>
<li>scripts/3_Game/Entities/<a class="el" href="../../df/d40/_entity_light_source_8c_source.html">EntityLightSource.c</a></li>
<li>scripts/3_Game/Entities/<a class="el" href="../../db/dbd/_sound_on_vehicle_8c_source.html">SoundOnVehicle.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d96/class_entity.html">Entity</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
